Update a company
curl -X PATCH "https://api.talkturo.com/api/crm/companies/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
}'
import requests
import json
url = "https://api.talkturo.com/api/crm/companies/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json"
}
data = {
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/crm/companies/123e4567-e89b-12d3-a456-426614174000", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
}`)
req, err := http.NewRequest("PATCH", "https://api.talkturo.com/api/crm/companies/123e4567-e89b-12d3-a456-426614174000", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/crm/companies/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
}'
response = http.request(request)
puts response.body
{
"success": true,
"company": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"website": "example_string",
"industry": "example_string",
"phone": "+1-555-0123",
"address": "123 Main St"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PATCH
/crm/companies/{id}PATCH
Base URLstring
Target server for requests. Edit to use your own host.
API Key (cookie: sb-access-token)
sb-access-tokenstring
RequiredAuthenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Authenticated Talkturo web session cookie (Supabase httpOnly session).
Browser clients typically send this automatically after sign-in.
Related refresh cookies may also be present depending on the client.
path
idstring
RequiredCompany ID
Format: uuid
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
path
parameterstring
RequiredAPI Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
idstring
RequiredCompany ID
Responses
successboolean
companyobject
Was this page helpful?